// SetRectDlg.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "Sample.h"
#include "SetRectDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg _CAO

CSetRectDlg::CSetRectDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSetRectDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetRectDlg)
	m_nEnableSetRect = 0;
	m_nRectLeft	  = 0;
	m_nRectTop	  = 0;
	m_nRectRight  = 0;
	m_nRectBottom = 0;
	//}}AFX_DATA_INIT
}

void CSetRectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetRectDlg)
	DDX_Radio(pDX, IDC_DISABLE_SET_RECT, m_nEnableSetRect);
	DDX_Text(pDX, IDC_RECT_LEFT, m_nRectLeft);
	DDX_Text(pDX, IDC_RECT_TOP, m_nRectTop);
	DDX_Text(pDX, IDC_RECT_RIGHT, m_nRectRight);
	DDX_Text(pDX, IDC_RECT_BOTTOM, m_nRectBottom);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CSetRectDlg, CDialog)
	//{{AFX_MSG_MAP(CSetRectDlg)
	ON_BN_CLICKED(IDC_DISABLE_SET_RECT, OnDisableSetRect)
	ON_BN_CLICKED(IDC_ENABLE_SET_RECT, OnEnableSetRect)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg bZ[W nh

/////////////////////////////////////////////////////////////////////////////
// ǉ

/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg::OnInitDialog

BOOL CSetRectDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// WwGfBbg{bNXL^
	EnableEditControl(m_nEnableSetRect != 0);

	return TRUE;
}


/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg::OnDisableSetRect
// [͈͎w肵Ȃ]WI{^I

void CSetRectDlg::OnDisableSetRect() 
{
	// WwGfBbg{bNX
	EnableEditControl(FALSE);
}


/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg::OnEnableSetRect
// [͈͎w肷]WI{^I

void CSetRectDlg::OnEnableSetRect() 
{
	// WwGfBbg{bNXL
	EnableEditControl();
}


/////////////////////////////////////////////////////////////////////////////
// CSetRectDlg::EnableEditControl
// W̓Rg[gpې؂芷

void CSetRectDlg::EnableEditControl(BOOL bEnable) 
{
	GetDlgItem(IDC_RECT_LEFT)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_TOP)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_RIGHT)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_BOTTOM)->EnableWindow(bEnable);
}
